Class | DOT::DOTPort
In: | rdoc/dot/dot.rb
Parent: | DOTSimpleElement

this is used when we build nodes that have shape=record ports don’t have options :)

### Methods

new to_s

### Attributes

label | [RW] |

### Public Class methods

new( params = {} )

[Source]

    # File rdoc/dot/dot.rb, line 128
            def initialize( params = {} )
                super( params )
                @name = params['label'] ? params['label'] : ''
            end

### Public Instance methods

to_s()

[Source]

    # File rdoc/dot/dot.rb, line 132
            def to_s
                ( @name && @name != "" ? "<#{@name}>" : "" ) + "#{@label}"
            end

[Validate]